package net.display;

import javax.servlet.http.HttpServletRequest;

import net.bo.KEntreprise;
import net.ko.controller.KObjectController;
import net.ko.displays.KObjectDisplay;
import net.ko.http.views.KFieldControl;
import net.ko.http.views.KHtmlFieldControl;
import net.ko.kobject.KObject;
import net.ko.types.HtmlControlType;
import net.ko.utils.KString;

public class EntrepriseDisplay extends KObjectDisplay {

	@Override
	public String getRefreshValue(KObject ko, String memberName, KObjectController koc, HttpServletRequest request) {
		String result=super.getRefreshValue(ko, memberName, koc, request);
		if("ville".equals(memberName)){
			KEntreprise entreprise=(KEntreprise) ko;
			if(entreprise.getVille()!=null)
				result=entreprise.getVille()+"";
		}
		if(KString.isNull(result))
			result="[non renseigné]";
		return result;
	}

	@Override
	public String showInList(KObject ko, String memberName) {
		KEntreprise entreprise=(KEntreprise) ko;
		String result= super.showInList(ko, memberName);
		if(memberName.equals("evaluations")){
			if(entreprise.getEvaluations()!=null)
				result="<ul>"+entreprise.getEvaluations().showWithMask("<li id='evaluation-{id}'>{date}</li>")+"</ul>";
		}
		if(memberName.equals("F2")){
			result="<span class='default' id='span-"+ko.getId()+"'></span>";
		}
		return result;
	}

	@Override
	public String getCaption(KObject ko, String memberName) {
		KEntreprise entreprise=(KEntreprise) ko;
		String result=super.getCaption(ko, memberName);
		if("evaluations".equals(memberName))
			if(entreprise.getEvaluations()!=null &&entreprise.getEvaluations().count()==0)
				result="Aucune";
		if(memberName.equals("F2")){
			result="";
		}
		return result;
	}

	@Override
	public KFieldControl getReadOnlyControl(KObject ko, String memberName,
			KObjectController koc, HttpServletRequest request) {
		KFieldControl fc=super.getReadOnlyControl(ko, memberName, koc, request);
		if("rs".equals(memberName)||"adresse".equals(memberName)){
			((KHtmlFieldControl)fc).setOptions("style='width:400px'");
		}
		return fc;
	}

	@Override
	public String[] getRefreshFields() {
		return new String[]{"ville"};
	}

}
